jqueryバージョンについてのメモ

忘れない為のメモ

1.X系2.X系の違い

  • 1.x 系は IE8 以前をサポートするレガシーブラウザ向けのバージョン
  • 2.x 系は IE8 以前のサポートは無いバージョン

1.9系以降の注意点

1.9.x系から、削除や変更されたコードがあり、プラグインが動かない場合が出てくる

対処法

  • 以前のバージョンを使用する方法
  • jQuery Migrate pluginを使用する方法

今の所はjquery-1.8.3.jsが一番よいのかも
ほんと、まだまだですが理解するのは大事ですね。

バージョン一覧:
jQuery Core – All Versions
http://code.jquery.com/jquery/

参考サイト
http://web-pc.net/jquery012